package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.format.LifeFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.GregorianCalendar;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/GetDateTimeAction.class */
public class GetDateTimeAction extends LifeAction {
    private String timeFieldName;
    private String timeFormat;
    private int dateOffset = 0;
    private int timeOffset = 0;
    private int monthOffset = 0;
    private int yearOffset = 0;

    public String execute(Context context) throws GENEException {
        try {
            if (this.yearOffset != 0) {
                String format = this.timeFormat == null ? "yyyyMMddHHmmss" : this.timeFormat;
                GregorianCalendar calendar = (GregorianCalendar) Calendar.getInstance();
                calendar.add(1, this.yearOffset);
                String formatTime = new SimpleDateFormat(format).format(calendar.getTime());
                context.setDataValue(this.timeFieldName, formatTime);
                return "0";
            }
            if (this.monthOffset != 0) {
                String format2 = this.timeFormat == null ? "yyyyMMddHHmmss" : this.timeFormat;
                GregorianCalendar calendar2 = (GregorianCalendar) Calendar.getInstance();
                calendar2.add(2, this.monthOffset);
                String formatTime2 = new SimpleDateFormat(format2).format(calendar2.getTime());
                context.setDataValue(this.timeFieldName, formatTime2);
                return "0";
            }
            String formatTime3 = LifeFormat.getDifferentTime(24 * this.dateOffset, 0, this.timeOffset, this.timeFormat);
            context.setDataValue(this.timeFieldName, formatTime3);
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v3, types: [com.ynet.life.action.GetDateTimeAction] */
    /* JADX WARN: Type inference failed for: r0v4, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v6, types: [java.lang.String] */
    public static void main(String[] args) {
        GetDateTimeAction a = new GetDateTimeAction();
        Context c = new Context();
        a.yearOffset = -1;
        ?? r0 = a;
        ((GetDateTimeAction) r0).timeFormat = "yyyy";
        try {
            r0 = a.execute(c);
        } catch (Exception e) {
            r0.printStackTrace();
        }
    }

    public void setTimeFieldName(String name) {
        this.timeFieldName = name;
    }

    public void setTimeFormat(String format) {
        this.timeFormat = format == null ? "yyyy-MM-dd HH:mm:ss" : format;
    }

    public void setDateOffset(int dateOffset) {
        this.dateOffset = dateOffset;
    }

    public void setTimeOffset(int timeOffset) {
        this.timeOffset = timeOffset;
    }

    public void setMonthOffset(int monthOffset) {
        this.monthOffset = monthOffset;
    }

    public void setYearOffset(int yearOffset) {
        this.yearOffset = yearOffset;
    }
}
